package com.podpea.contexts
{
	import com.podpea.commands.ChangeMainStateCommand;
	import com.podpea.events.PodEvent;
	
	import com.podpea.mediators.MainMediator;
	import com.podpea.mediators.MiloMediator;
	import com.podpea.models.MainPM;
	import com.podpea.views.MainUI;
	import com.podpea.views.MiloUI;
	
	import org.robotlegs.mvcs.Context;
	
	public class MainContext extends Context
	{
		
		override public function startup():void{
			
			injector.mapSingleton(MainPM);
			
			mediatorMap.mapView(MiloUI, MiloMediator);
			mediatorMap.mapView(MainUI,MainMediator);
			
			commandMap.mapEvent(PodEvent.MILO_CLICKED, ChangeMainStateCommand, PodEvent);
			
		}
		
	}
}